> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Update an internal testimonial

PATCH https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/internal_testimonials/{internalTestimonialId}/
Content-Type: application/json

Update internal testimonial details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/testimonials/internal/update-an-internal-testimonial

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry
- `internalTestimonialId` (string, required) — id of the Internal Testimonial

### Body (application/json)

This endpoint expects a PatchedTestimonialSerializerWriterRequest.

- `authorName` (string, optional)
- `position` (string, optional)
- `companyName` (string, optional)
- `testimonialText` (string, optional)
- `order` (integer, optional)

## Response

### 200

Successful operation

- `authorName` (string, required)
- `position` (string, required)
- `companyName` (string, required)
- `testimonialText` (string, required)
- `id` (string, required)
- `order` (integer, optional)

## Errors

### 404 Not Found Error

Internal Testimonial not found

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "authorName": "string",
  "position": "Project Manager",
  "companyName": "string",
  "testimonialText": "string",
  "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
  "author_name": "John Doe",
  "company_name": "Company Inc.",
  "testimonial_text": "This is a great internal testimonial"
}
```

**SDK Code**

```python Example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_testimonials/internalTestimonialId/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/internal_testimonials/internalTestimonialId/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```